import ajax from "@/utils/request";

export const getBranchList = async () =>
  ajax(`/branch/getBranchList`, "GET");

export const getBranch = async (id) =>
  ajax(`/branch/getBranch`, "GET", { id });

export const deleteBranch = async (id) =>
  ajax(`/branch/deleteBranch`, "GET", { id });

export const updateBranch = async (params) =>
  ajax(`/branch/updateBranch`, "POST", params);

export const addBranch = async (params) =>
  ajax(`/branch/addBranch`, "POST", params);
